[versions]
kotlin = "1.9.22"
logback = "1.5.0"
bcrypt = "0.10.2"
assertk-jvm = "0.28.0"
cucumber-java = "7.15.0"


[libraries]
assertk-jvm = { group = "com.willowtreeapps.assertk", name = "assertk-jvm", version.ref = "assertk-jvm" }
logback-classic = { group = "ch.qos.logback", name = "logback-classic", version.ref = "logback" }
bcrypt = { group = "at.favre.lib", name = "bcrypt", version.ref = "bcrypt" }
kotlin-reflect = { group = "org.jetbrains.kotlin", name = "kotlin-reflect", version.ref = "kotlin" }
cucumber-java = { group = "io.cucumber", name = "cucumber-java", version.ref = "cucumber-java" }
cucumber-guice = { group = "io.cucumber", name = "cucumber-guice", version.ref = "cucumber-java" }
cucumber-junit = { group = "io.cucumber", name = "cucumber-junit", version.ref = "cucumber-java" }
guice = { group = "com.google.inject", name = "guice", version = "7.0.0" }
commons-lang3 = { group = "org.apache.commons", name = "commons-lang3", version = "3.14.0" }
ktor-client-core-jvm = { group = "io.ktor", name = "ktor-client-core-jvm" }
ktor-client-content-negotiation = { group = "io.ktor", name = "ktor-client-content-negotiation" }
ktor-serialization-kotlinx-json = { group = "io.ktor", name = "ktor-serialization-kotlinx-json" }
ktor-client-serialization = { group = "io.ktor", name = "ktor-client-serialization" }
ktor-client-cio-jvm = { group = "io.ktor", name = "ktor-client-cio-jvm" }
junit-vintage-engine = { group = "org.junit.vintage", name = "junit-vintage-engine", version = "5.7.2" }
kotlin-test-junit5 = { group = "org.jetbrains.kotlin", name = "kotlin-test-junit5", version.ref = "kotlin" }
java-jwt = { group = "com.auth0", name = "java-jwt", version = "4.4.0" }
passay = { module = "org.passay:passay", version = "1.6.4" }

[bundles]
ktor-client = [
    "ktor-client-core-jvm",
    "ktor-client-cio-jvm",
    "ktor-client-content-negotiation",
    "ktor-serialization-kotlinx-json",
    "ktor-client-serialization"
]
cucumber = ["cucumber-java", "cucumber-guice"]

[plugins]
versions = { id = "com.github.ben-manes.versions", version = "0.51.0" }
kotlin = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
serialization = { id = "org.jetbrains.kotlin.plugin.serialization", version.ref = "kotlin" }
ktor = { id = "io.ktor.plugin", version = "2.3.8" }
